Bug 247368 - devel/fhist: take maintership and fix bison related issues
Summary: devel/fhist: take maintership and fix bison related issues
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-18 01:03 UTC by aryeh.friedman
Modified: 2020-06-26 10:40 UTC (History)
2 users (show)

See Also:


Attachments
svn dif of patch repo (1.36 KB, patch)
2020-06-18 01:03 UTC, aryeh.friedman
no flags Details | Diff
Fixes issues with bison vs. byacc (1.53 KB, patch)
2020-06-18 07:31 UTC, aryeh.friedman
aryeh.friedman: maintainer-approval+
aryeh.friedman: maintainer-approval+
Details | Diff
Fixes portlint warnings (1.17 KB, patch)
2020-06-25 10:00 UTC, aryeh.friedman
aryeh.friedman: maintainer-approval+
Details | Diff
regenerated from scratch port patch (2.01 KB, patch)
2020-06-26 06:59 UTC, aryeh.friedman
aryeh.friedman: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description aryeh.friedman 2020-06-18 01:03:38 UTC
Created attachment 215685 [details]
svn dif of patch repo

Actions taken:

-- Take Maintainership
-- Retrofitted Yacc grammars to handle bison 3.6.X

Svn diff patch attached
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-18 07:02:35 UTC
^Triage: [tags] in issue Titles are deprecated

Thanks!
Comment 2 Li-Wen Hsu freebsd_committer 2020-06-18 07:03:49 UTC
Failed to build:

https://gist.github.com/1cf516b0d0805aafde0db382fafe8f9b

Can you check it and test in the poudriere? Thanks!
Comment 3 aryeh.friedman 2020-06-18 07:14:54 UTC
(In reply to Li-Wen Hsu from comment #2)
Same issue as devel/aegis-4.25_12 and likely same issue are you using bison-3.4.3_1?
Comment 4 aryeh.friedman 2020-06-18 07:31:38 UTC
Created attachment 215693 [details]
Fixes issues with bison vs. byacc

Added USES=bison
Comment 5 aryeh.friedman 2020-06-24 19:47:37 UTC
Just reminder this is ready for the second try at being reviewed/comitted
Comment 6 Fernando Apesteguía freebsd_committer 2020-06-25 06:27:50 UTC
(In reply to aryeh.friedman from comment #5)
Hi Aryeh,

Thanks for the patch. Would you mind having a look at these poudriere warnings?

$ portlint -AC
WARN: Makefile: [22]: USE_* seen before USES.  According to the porters-handbook, USES must appear first.
WARN: Makefile: [47]: possible direct use of command "file" found. use ${FILE} instead.
WARN: Makefile: [55]: possible direct use of command "file" found. use ${FILE} instead.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: /data/fernape_data/FreeBSD-repos/ports/head/devel/fhist/files/patch-common_ac_time.h: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
WARN: /data/fernape_data/FreeBSD-repos/ports/head/devel/fhist/files/patch-common_sub_expr_gram.y: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
0 fatal errors and 7 warnings found.
Comment 7 aryeh.friedman 2020-06-25 10:00:57 UTC
Created attachment 215931 [details]
Fixes portlint warnings
Comment 8 aryeh.friedman 2020-06-25 10:01:44 UTC
(In reply to Fernando Apesteguía from comment #6)
Fixed all but 2 of the warnings (as far I can tell they are false alarms since the word "file" appears as a loop variable and not as a variable expansion in the make file).

# portlint
WARN: Makefile: [47]: possible direct use of command "file" found. use ${FILE} instead.
WARN: Makefile: [55]: possible direct use of command "file" found. use ${FILE} instead.
0 fatal errors and 2 warnings found.

New patch attached
Comment 9 Fernando Apesteguía freebsd_committer 2020-06-25 10:44:17 UTC
(In reply to aryeh.friedman from comment #8)

Hi Aryeh,

In the attachment https://bugs.freebsd.org/bugzilla/attachment.cgi?id=215693 you added a new patch: files/patch-common_sub_expr_gram.y but then that attachment is obsoleted by the last one that does not add that patch. Are the obsoleted attachments to be applied? Can you clarify, please?

The usual thing to do is just upload a new complete patch with all the accumulated changes though :-)

Thanks in advance.
Comment 10 aryeh.friedman 2020-06-25 11:24:26 UTC
(In reply to Fernando Apesteguía from comment #9)

Ok I am really confused now since what I sent was the output of "make makepatch" as the portlint warnings told me to do.  What do I need to do to get the right patch to you but without portlint complaining about it's format?
Comment 11 Fernando Apesteguía freebsd_committer 2020-06-25 11:37:48 UTC
(In reply to aryeh.friedman from comment #10)

make makepatch will regenerate all your patches and place them in files/
In addition it backs up your current patches just in case.

After doing that, if the port is in the shape you thing is fine (i.e. all the changes are there) just do a svn diff and attach the result. We should be fine with that :-)

Thanks in advance
Comment 12 aryeh.friedman 2020-06-26 06:59:39 UTC
Created attachment 215955 [details]
regenerated from scratch port patch

rm'ed the port dir and remade the patch (and test it with make and portlint).... hopefully this one is clean enough to commit (one of these days I will get it right on the first try for ports I maintain ;-))
Comment 13 Fernando Apesteguía freebsd_committer 2020-06-26 10:40:42 UTC
Committed in ports r540489

I just change a couple of minor things:

* USES moved up a little bit (portlint didn't catch this because the += operator)
* Add USES=localbase instead of hand crafting CPPFLAGS and LDFLAGS

Thanks a lot for your work!